 /*
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */


package common;

import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemListener;

public class ChooseFont extends InternalChooseFont implements ItemListener {
    private static final long serialVersionUID = 1L;
    private GraphCanvas gCanvas;

    public ChooseFont(Font defaultFont, GraphCanvas graphCanvas) {
        super(defaultFont, graphCanvas.nameFont(), graphCanvas.sizeFont());
        ok.addActionListener(new ChooseFontListenerOK(this));
        gCanvas = graphCanvas;
    }

    public void modifyFont() {
        gCanvas.fontModify(getFont(), getWidth(getFont()), getHeight(getFont()));
    }
}

class ChooseFontListenerOK implements ActionListener {
    ChooseFont cw;

    ChooseFontListenerOK(ChooseFont cw_) {
        cw = cw_;
    }

    public void actionPerformed(ActionEvent e) {
        // The font of the calling window is modified
        cw.modifyFont();
        cw.setVisible(false);
    }
}
