 /*
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */


package common;

import javax.swing.JComponent;
import javax.swing.JFrame;

class FrameTextColorChooser extends JFrame {
    private static final long serialVersionUID = 1L;
    public FrameTextColorChooser(InfoWindow vinfoWindow) {
        // Makes sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);

        // Creates and set up the window.
        JFrame frame = new JFrame("Text ColorChooser");
        frame.setDefaultCloseOperation(DISPOSE_ON_CLOSE);

        // Creates and sets up the content pane.
        JComponent textcolorchooser = new TextColorChooser(vinfoWindow);
        textcolorchooser.setOpaque(true); // content panes must be opaque
        frame.setLocation(50, 50);
        frame.getContentPane().add(textcolorchooser);

        // Displays the window.
        frame.pack();
        frame.setVisible(true);

    }
}
